{
   Copyright (C) 2010 MegaBrutal

   This unit is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This unit is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
}


{$MODE FPC}

unit DNSResolve;

interface
uses WinSock, Sockets;


   function ResolveHost(HostName: ansistring): in_addr;
   function ResolveIP(IP: in_addr): ansistring;


implementation


function ResolveHost(HostName: ansistring): in_addr;
var
   HostEnt: PHostEnt;
begin
   HostEnt:= gethostbyname(PChar(HostName));
   if HostEnt <> nil then
      ResolveHost.s_addr:= PLongWord(HostEnt^.h_addr_list[0])^
   else
      ResolveHost.s_addr:= 0;
end;

function ResolveIP(IP: in_addr): ansistring;
var
   HostEnt: PHostEnt;
begin
   HostEnt:= gethostbyaddr(@IP, 4, AF_INET);
   if HostEnt <> nil then
      ResolveIP:= HostEnt^.h_name
   else
      ResolveIP:= NetAddrToStr(IP);
end;



end.
